In this section
← Baking
- Retrieve bakings linked from a baking
- Publish a baking
- Unpublish a baking
- Retrieve all of the user's bakings
- Create a new baking
- Retrieve the specified baking by its id
- Update an existing baking
- Delete a baking
- Boost a baking
- Unboost a baking
- Create a new media for a baking
- Update a media for a baking
- Delete a media for a baking
On this page
Create a new baking
POST /api/v1/bakingsCreate a baking session linked to a recipe. Requires a recipe_id, name, and prepared_at date. The serving count must be a positive integer.
Required Scopes
write
Request Body
Content-Type: application/json
Schema: object
| Field | Type | Required | Description |
|---|---|---|---|
baking |
baking_create_input |
no |
Responses
201
baking created
Schema: baking_output
baking_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
name |
string | yes | |
description |
string | yes | |
description_html |
string | yes | |
status |
string | yes | |
serving |
integer | yes | |
prepared_at |
string | yes | |
recipe_id |
integer | no | |
serving_type |
string | no | |
likes_count |
integer | yes | |
boosts_count |
integer | yes | |
liked |
boolean | yes | |
boosted |
boolean | yes | |
published_at |
string | yes | |
account |
account_output |
yes | |
ingredients |
array[ingredient_output] |
yes | |
steps |
array[] | yes | |
media |
array[medium_output] |
yes |
422
invalid request
Schema: errors
errors
| Field | Type | Required | Description |
|---|---|---|---|
errors |
object | yes |
